[Overview][Constants][Procedures and functions][Index] | Reference for unit 'dateutils' (#rtl)

# EndOfAYear

Calculate a DateTime value representing the last day of a year

## Declaration

Source position: dateutil.inc line 137

`function EndOfAYear(`
`const AYear: Word`
`):TDateTime;`

## Arguments

`AYear` |  | Year to calculate last day from

## Function result

DateTime representing the last day of AYear.

## Description

StartOfAYear returns a TDateTime value with the date of the last day of the year AYear (December 31).

## See also

StartOfTheYear |  | Return the first day of the year, given a date in this year.
EndOfTheYear |  | Calculate a DateTime value representing the last day of a year, given a date in that year.
EndOfAYear |  | Calculate a DateTime value representing the last day of a year
EndOfTheMonth |  | Calculate a DateTime value representing the last day of the month, given a day in that month.
EndOfAMonth |  | Calculate a datetime value representing the last day of the indicated month
StartOfAWeek |  | Return a day of the week, given a year, week and day in the week.
StartOfTheWeek |  | Return the first day of the week, given a date.

## Example

    Program Example27;

    { This program demonstrates the EndOfAYear function }

    Uses SysUtils,DateUtils;

    Const
      Fmt = '"Last day of this year : "dd mmmm yyyy';

    Begin
      Writeln(FormatDateTime(Fmt,EndOfAYear(YearOf(Today))));
    End.

Documentation generated on: Feb 26 2014